Craft CMS の次期バージョン Craft 3 について調べてみた

Posted on 2017/12/14 Tag : Craft CMS

これは Craft CMS Advent Calendar 2017 15日目の記事です。

Dot All でいくつか Craft CMS の次期バージョンの話が出ました。

Dot All: The Official Craft CMS Developer Conference | Dot All
http://dotall.com/2017

Craft 3 について詳しくおっていなかったので、少し調べてみました。
だいたいのことは https://craftcms.com/news/dot-all-2017-announcements に書かれてありますね。

2018年4月4日にリリース

2018年4月4日にリリースされるようですね。
BUNさんも書いてましたが、ちょうど先日 RC2 が出ましたね!

Craft 3 RC | Craft CMS
https://craftcms.com/3

cms/CHANGELOG-v3.md at master · craftcms/cms
https://github.com/craftcms/cms/blob/master/CHANGELOG-v3.md

いくつか変わった部分についてもリリース出てますね。

https://craftcms.com/news/craft-3-rc

  • 管理画面のUI改善
  • 高速化
  • ImageEditor の追加
  • Yii 2 ベースへの変更
  • インストール時でもデータベースの接続設定が可能に
  • アプリ内プラグインストア
  • ユーザーやグローバルセットのフィールドレイアウトでタブが利用可能

などなど。

プラグインストア

プラグインが管理画面からインストール出来るようになりましたね。

Plugin Store FAQ · craftcms/cms Wiki
https://github.com/craftcms/cms/wiki/Plugin-Store-FAQ

既に、Craft 3 でうごくプラグイン類がリストにされていますね。

Craft 3 Plugins
https://plugins.craftcms.com/

とりあえず今は無償のプラグインだけがリストされてるみたいですね。

ライセンスの変更

ライセンスが変わったようですね。

The Craft License | license
https://craftcms.github.io/license/

料金体系の変更

Craft Personal, Client, Pro のライセンス料はそのままですが、アップデートしていく場合は1年ごとのサブスクリプションになるようです。

Client は $39/年、 Pro は $59/年 とのこと。

プラグインストアからのプラグインアップデートをする場合も含まれるようですね。

リッチエディタの変更

これまでは Redactor が使われていたのですが、 CKEditor も使うことが出来るようになるみたいですね。
「リッチテキスト」のフィールド自体がなくなり、使う場合は Redactor または CKEditor のいずれかをインストールする必要があります。

CKEditor 5 Developer Preview (v1.0.0-alpha.2)
https://ckeditor5.github.io/

Craft の場合、フィールドの組み合わせを色々できるので、リッチエディタを使う場合がそこまで多くはないかもしれないですが、これは期待出来ますね。

composerでのインストール

composerをつかってインストールすることが出来るようになりました。

Craft 3 is available as a Composer package, and for the duration of the Beta, Composer is the only way to install Craft 3. (We’ll introduce an alternate, non-Composer installation method once it’s out of Beta.)

https://github.com/craftcms/docs/blob/master/en/installation.md

memory_limit が 256MB以上

Craft 3 のアップデートで、PHP の memory_limit が 256MB 以上必要になったようです。

Server Requirements

Craft requires the following:

PHP 7.0+
MySQL 5.5+ (with InnoDB) or PostgreSQL 9.5+
A web server (Apache, Nginx, IIS)
A minimum of 256MB of memory allocated to PHP
A minimum of 200MB of free disk space

https://github.com/craftcms/docs/blob/master/en/requirements.md

Craft 3 Class Reference

プラグイン開発などの際につかいそうですね。

Craft 3 Class Reference
https://docs.craftcms.com/api/v3/

BUNさんに教えてもらいましたが、 Craft 3 ではテンプレートからもクラスにアクセスできるらしいです。